<?xml version="1.0"?>
<!DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Mapping DTD Version 1.0//EN"
                         "http://castor.codehaus.org/mapping.dtd">

<mapping>
	<class name="info.bukova.isspst.services.addressbook.AresOdpoved">
		<map-to xml="AresOdpoved"/>
		<field name="PocetZaznamu" type="long">
			<bind-xml name="PocetZaznamu" node="element"/>
		</field>
		<field name="TypVyhledani" type="string">
			<bind-xml name="TypVyhledani" node="element"/>
		</field>
		<field name="AresZaznam" type="info.bukova.isspst.services.addressbook.AresZaznam" collection="arraylist">
			<bind-xml name="AresZaznam" node="element"/>
		</field>
	</class>
	
	<class name="info.bukova.isspst.services.addressbook.AresZaznam">
		<field name="Firma" type="string">
			<bind-xml name="Firma" node="element"/>
		</field>
		<field name="Ico" type="long">
			<bind-xml name="Ico" node="element"/>
		</field>
		<field name="Ulice" type="string">
			<bind-xml name="Ulice" node="element"/>
		</field>
		<field name="Cp" type="string">
			<bind-xml name="Cp" node="element"/>
		</field>
		<field name="Obec" type="string">
			<bind-xml name="Obec" node="element"/>
		</field>
		<field name="MestskaCast" type="string">
			<bind-xml name="MestskaCast" node="element"/>
		</field>
		<field name="Psc" type="string">
			<bind-xml name="Psc" node="element"/>
		</field>
	</class>
</mapping>